@import url(../theme/theme.css);

body{
    width: 80vw;
}

body{
    font-family: 'Lexend Deca', sans-serif;

    display: grid;
    align-items: center;
    justify-content: center;
    gap: 2rem;

    padding: 5%;
    margin: auto;

    background-color: var(--base-blue);
}


main{
    background-color: #FFF;
    padding: 5rem;
    border-radius: 2.5rem;
}

h1{
    margin: 2rem auto;
    color: var(--base-blue);
    font-size: 2.4rem;
}

form{
    display: grid;
    gap: 1rem;

    width: 80vw;
}

input, 
select, 
textarea, 
option, 
button{
    min-height: 4.6rem;
    border-radius: .8rem;
    padding-left: 1%;
    font-size: 1.2rem;

    border: 1px solid lightgrey;
    transition: .5s;

    cursor:pointer;
}


input:focus, input:hover,
selection:focus, selection:hover,
textarea:focus, textarea:hover{
    border:1px solid grey;
    outline: none;
}

div{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

label{
    font-size: 1.6rem;
    color: grey;
    font-weight: normal;
}

label:focus, label:hover{
    font-weight: bold;
}

form button{
    background-color: var(--base-red);
    font-size: 1.6rem;
    font-weight: 700;
    color: #FFF;
}

.callback{
    position: fixed;
    top: 3rem;
    right: -100rem;

    border-radius: 1rem;
    box-shadow: 0px 1px 5px grey;

    height: 5rem;
    width: max-content;

    padding: 2.5% 3%;

    display: grid;
    place-content: center; 

    color: #FFF;
    font-size: 1.2rem;

    transition: .5s;
}

.ok{
    background-color: green;
}

.erro{
    background-color: red;
}

.show{
    right: 3rem;
    transition: .5s;
}

@media (max-width: 800px) {
    main{
        padding:2.5rem
    }
    
    main img{
        width: 80vw;
    }
}